%define module	IP-Country
%define name	perl-%{module}
%define version	2.23
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Fast lookup of country codes from IP addresses
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/IP/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Geography::Countries)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
IP lookup modules for Perl. This package also provides the ip2cc utility, to
lookup country from IP address or hostname.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/IP
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.23-1mdv2008.0
+ Revision: 20231
- 2.23

  + Mandriva <devel@mandriva.com>


* Thu Apr 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.21-1mdk
- New release 2.21
- spec cleanup
- fix directory ownership
- %%mkrel
- better summary
- better source URL
- better buildrequires syntax

* Mon May 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.20-1mdk
- 2.20
- add tests, spec cleanup, rewrite description

* Mon Nov 15 2004 Austin Acton <austin@mandrake.org> 2.18-1mdk
- 2.18

* Sun Dec 14 2003 Abel Cheung <deaddog@deaddog.org> 2.17-1mdk
- 2.17

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.11-2mdk
- rebuild for new auto{prov,req}

